Skip to main content
POST
/
streaming
/
live_streams
/
v2
cURL
curl --request POST \
  --url https://api.mottostreaming.com/streaming/live_streams/v2 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "name": "<string>",
  "localized_title": {},
  "ingest_id": "<string>",
  "simulcasts": [
    {
      "name": "<string>"
    }
  ],
  "accept_input": true,
  "priority": "<string>"
}
'
{
  "live_stream": {
    "project_id": "<string>",
    "name": "<string>",
    "id": "<string>",
    "localized_title": {},
    "ingest_id": "<string>",
    "video_id": "<string>",
    "simulcasts": [
      {
        "id": "<string>",
        "name": "<string>",
        "rtmp_target": {
          "url": "<string>",
          "stream_key": "<string>"
        },
        "srt_target": {
          "url": "<string>"
        },
        "is_external": true
      }
    ],
    "accept_input": true,
    "priority": "<string>",
    "external_rtmp_ingest_url": "<string>",
    "external_srt_ingest_url": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

proxy_ingest
boolean

If true, the live stream's ingest URL will be proxied through an alternative ingest server.

secondary_output
boolean

If true, the live stream will have a secondary output (and separate transcoding pipeline). This comes at an additional cost.

Body

application/json
project_id
string
required
name
string
required

The name of the video. This is a canonical name that is independent of locales, and is primarily meant for internal purposes (e.g. a name for tracking in analytics). For end-user facing purposes, use localized_title.

region
enum<string>
required
Available options:
REGION_UNSPECIFIED,
REGION_AF,
REGION_AS,
REGION_EU,
REGION_NA,
REGION_OC,
REGION_SA
localized_title
object

A map of localized titles for this stream, for end users to see. The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.

If this is not provided, fallback to name.

ingest_id
string
simulcasts
object[]
accept_input
boolean

Accept input from the input source. If set to false, the live stream will not accept input from the input source regardless of the input source's state (e.g., the input source is live). If set to true, the live stream will accept input from the input source if the input source is live. By default, it is set to true.

priority
string

Priority of the live stream. This is used to sort the live streams and to discover the next live stream to run when multiple streams are connected to a shared ingest.

Response

OK

live_stream
object